<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All rights reserved.
 *
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 */

namespace Pinpoint\DisableAddtocart\Model\Config\Source;

use Magento\Catalog\Model\Product\AttributeSet\Options;
use Magento\Framework\Data\OptionSourceInterface;

class AttributeSet implements OptionSourceInterface
{
    /**
     * @var Options
     */
    protected Options $attributeSetOptions;

    /**
     * AttributeSet constructor.
     *
     * @param Options $attributeSetOptions
     */
    public function __construct(Options $attributeSetOptions)
    {
        $this->attributeSetOptions = $attributeSetOptions;
    }

    /**
     * Retrieve options array.
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        $blankOption = [
            ['value' => 'none', 'label' => __('None')]
        ];

        return array_merge($blankOption, $this->attributeSetOptions->toOptionArray());
    }
}
