# Disable Add to Cart for Specific Attribute Sets

## Overview

The **Disable Add to Cart for Specific Attribute Sets** module is designed to allow you to disable the "Add to Cart" button for specific product attribute sets in your Magento store. This is useful when you want to prevent customers from purchasing certain types of products.


## Installation

### Type 1: Zip file

- Unzip the zip file in `app/code/Pinpoint`
- Enable the module by running `php bin/magento module:enable Pinpoint_DisableAddtocart`
- Apply database updates by running `php bin/magento setup:upgrade`\*
- Flush the cache by running `php bin/magento cache:flush`

### Type 2: Composer

- Install the module composer by running `composer require pinpoint/module-disable-addtocart`
- Enable the module by running `php bin/magento module:enable Pinpoint_DisableAddtocart`
- Apply database updates by running `php bin/magento setup:upgrade`\*
- Flush the cache by running `php bin/magento cache:flush`


## Configuration

After installing the module, you can configure it in the Magento admin panel:

1. Log in to your Magento admin panel.

2. Navigate to **Stores > Configuration > Catalog > Disable Add to Cart for Attribute Sets**.

3. In the **Attribute Sets** field, specify the attribute sets for which you want to disable the "Add to Cart" button. You can select multiple attribute sets.

4. Save the configuration.


## Usage

Once you've configured the module, the "Add to Cart" button will be disabled for products that belong to the specified attribute sets. Customers won't be able to add these products to their cart.

